List subscriptions
curl --request GET \
--url https://app.dimepayments.com/api/subscription/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [],
"filters": []
}
'import requests
url = "https://app.dimepayments.com/api/subscription/list"
payload = {
"data": [],
"filters": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: [], filters: []})
};
fetch('https://app.dimepayments.com/api/subscription/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"subscription_plan_id": 97,
"plan_name": "Premium Plan 24492",
"amount": "0.00",
"recurrence_schedule": "Monthly",
"start_date": "2026-07-20T04:00:00.000000Z",
"end_date": null,
"last_run_date": null,
"last_run_status": null,
"last_run_failed_count": 0,
"next_run_date": "2026-09-20T04:00:00.000000Z",
"status": "Active",
"paused_until_date": null,
"cancelled_at": null,
"cancelled_by": null,
"customer_uuid": "f41b4913-eb14-47d8-8c65-6e3e39126ecf",
"error": null,
"payment_method": {
"id": 5992,
"type": "cc",
"last_four": "3642",
"expiration": "08/2030"
}
},
{
"id": null,
"subscription_plan_id": 98,
"plan_name": "Monthly Membership 88481",
"amount": "0.00",
"recurrence_schedule": "Monthly",
"start_date": "2026-07-20T04:00:00.000000Z",
"end_date": null,
"last_run_date": null,
"last_run_status": null,
"last_run_failed_count": 0,
"next_run_date": "2026-09-20T04:00:00.000000Z",
"status": "Active",
"paused_until_date": null,
"cancelled_at": null,
"cancelled_by": null,
"customer_uuid": "d85cf521-1556-4bf4-af4e-c1eb78b9648d",
"error": null,
"payment_method": {
"id": 5993,
"type": "cc",
"last_four": "5053",
"expiration": "08/2030"
}
}
],
"links": {
"prev": null,
"next": null
},
"meta": {
"path": "/",
"per_page": 500,
"next_cursor": null,
"prev_cursor": null
}
}Subscriptions management
List subscriptions
GET
/
api
/
subscription
/
list
List subscriptions
Authorizations
You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"subscription_plan_id": 97,
"plan_name": "Premium Plan 24492",
"amount": "0.00",
"recurrence_schedule": "Monthly",
"start_date": "2026-07-20T04:00:00.000000Z",
"end_date": null,
"last_run_date": null,
"last_run_status": null,
"last_run_failed_count": 0,
"next_run_date": "2026-09-20T04:00:00.000000Z",
"status": "Active",
"paused_until_date": null,
"cancelled_at": null,
"cancelled_by": null,
"customer_uuid": "f41b4913-eb14-47d8-8c65-6e3e39126ecf",
"error": null,
"payment_method": {
"id": 5992,
"type": "cc",
"last_four": "3642",
"expiration": "08/2030"
}
},
{
"id": null,
"subscription_plan_id": 98,
"plan_name": "Monthly Membership 88481",
"amount": "0.00",
"recurrence_schedule": "Monthly",
"start_date": "2026-07-20T04:00:00.000000Z",
"end_date": null,
"last_run_date": null,
"last_run_status": null,
"last_run_failed_count": 0,
"next_run_date": "2026-09-20T04:00:00.000000Z",
"status": "Active",
"paused_until_date": null,
"cancelled_at": null,
"cancelled_by": null,
"customer_uuid": "d85cf521-1556-4bf4-af4e-c1eb78b9648d",
"error": null,
"payment_method": {
"id": 5993,
"type": "cc",
"last_four": "5053",
"expiration": "08/2030"
}
}
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

